<?php

/**
 * @see Mage_Tax_Model_Sales_Total_Quote_Nominal_Tax
 */
class Aoe_AvaTax_Model_Sales_Quote_Address_Total_Nominal_Tax extends Aoe_AvaTax_Model_Sales_Quote_Address_Total_Tax
{
    /**
     * Don't add amounts to address
     *
     * @var bool
     */
    protected $_canAddAmountToAddress = false;

    /**
     * Custom row total key
     *
     * @var string
     */
    protected $_itemRowTotalKey = 'tax_amount';

    /**
     * Don't fetch anything
     *
     * @param Mage_Sales_Model_Quote_Address $address
     *
     * @return array
     */
    public function fetch(Mage_Sales_Model_Quote_Address $address)
    {
        return Mage_Sales_Model_Quote_Address_Total_Abstract::fetch($address);
    }

    /**
     * Get nominal items only
     *
     * @param Mage_Sales_Model_Quote_Address $address
     *
     * @return array
     */
    protected function _getAddressItems(Mage_Sales_Model_Quote_Address $address)
    {
        return $address->getAllNominalItems();
    }
}
